@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #ecf7fc;
}

form {
    width: 400px;
    border: 3px solid #3b3b3b;
    padding: 20px;
    border-radius: 20px;
    background-color: #ecf7fc;
}

label {
    display: block;
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 11pt;
    color: #3b3b3b;
}

input[type="text"],
input[type="email"],
input[type="password"] {
    width: calc(100% - 16px); 
    padding: 8px;
    margin-bottom: 30px;
    background-color: #ffffff;
    border: 1px solid #3b3b3b;
    color: #3b3b3b;
}

button {
    display: inline-block;
    padding: 5px 10px; 
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 11pt;
    background-color: #ffffff;
    border: 1px solid #3b3b3b;
    color: #3b3b3b;
    border-radius: 5px;
    cursor: pointer;
    position: relative; 
    align-self: center;
}

button:hover {
    background-color: #3b3b3b;
    color: #ffffff;
}

button::before {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

button::after {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    background-color: rgba(121, 221, 255, 0.505); 
    z-index: -1; 
}

